%define	name	gtk-sharp
%define version 1.0.10
%define release %mkrel 14
%define mono 1.2.3

# Not using a major is ok for mklibname?
%define glib_libname %mklibname glibsharpglue
%define glib_libnamedev %mklibname glibsharpglue -d

%define gtk_libname %mklibname gtksharpglue
%define gtk_libnamedev %mklibname gtksharpglue -d

%define glade_libname %mklibname gladesharpglue
%define glade_libnamedev %mklibname gladesharpglue -d

%define gnome_libname %mklibname gnomesharpglue
%define gnome_libnamedev %mklibname gnomesharpglue -d

%define monodir %_prefix/lib/mono

Summary:	C# language binding for the gtk+ toolkit
Name:		%name
Version:	%version
Release:	%release
License:	LGPL
Group:		System/Libraries
URL:		http://gtk-sharp.sourceforge.net/
Source0: 	http://go-mono.com/sources/gtk-sharp/%name-%version.tar.xz
Patch: 		gtk-sharp-1.0.10-dllconfig.patch.bz2
Patch1: 	gtk-sharp-1.0.10-gtkhtml-3.8.patch.bz2
Patch2: 	gtk-sharp-1.0.10-vtemajor.patch.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	mono-devel >= %mono
BuildRequires:	libglade2.0-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	librsvg-devel
BuildRequires:	gtkhtml-3.14-devel
BuildRequires:	vte-devel
BuildRequires:	automake1.8
Requires:	glib-sharp
Requires:	%gtk_libname = %version
Provides:	gtk#
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version

%description
Gtk-sharp is a C# language binding for the  gtk+ toolkit.

%package -n glib-sharp
Summary:        C# binding for glib
Group:          System/Libraries
Requires:       mono >= %mono
Requires:	%glib_libname

%description -n glib-sharp
Glib-sharp is a C# language binding for glib.

%package -n glade-sharp
Summary:        C# binding for glade
Group:          System/Libraries
Requires:	gtk-sharp
Requires:	%glade_libname = %version

%description -n glade-sharp
Glade-sharp is a C# language binding for glade.

%package -n gnome-sharp
Summary:        C# binding for gnome
Group:          System/Libraries
Requires:	gtk-sharp
Requires:	%gnome_libname = %version
#gw we need the right major versions
Requires:       gtkhtml-3.14
Requires:       %mklibname vte 9

%description -n gnome-sharp
Gnome-sharp is a C# language binding for gnome.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/Other

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp. 

%package -n %glib_libname
Summary:	A glue library for Glib C# language bindings
Group:		System/Libraries

%description -n %glib_libname
A glue library for Glib C# language bindings
This is a native 'glue' library required by glib-sharp and friends.

%package -n %glib_libnamedev
Summary:	Development libraries for Glib C# language bindings
Group:		Development/Other
Requires:	glib-sharp 
Provides:	glib-sharp-devel
Requires:	mono-devel
Requires:	glib2-devel

%description -n %glib_libnamedev
Development libraries for Glib C# language bindings.
These are for a native 'glue' library required by glib-sharp and friends.

%package -n %gtk_libname
Summary:	A glue library for Gtk+ C# language bindings
Group:		System/Libraries

%description -n %gtk_libname
A glue library for Gtk+ C# language bindings
This is a native 'glue' library required by gtk-sharp and friends.

%package -n %gtk_libnamedev
Summary:	Development libraries for Gtk+ C# language bindings
Group:		Development/Other
Requires:	%{name}
Requires:	glib-sharp-devel
Provides:	gtk-sharp-devel
Requires:	gtk2-devel

%description -n %gtk_libnamedev
Development libraries for Gtk+ C# language bindings.
These are for a native 'glue' library required by gtk-sharp and friends.

%package -n %glade_libname
Summary:	A glue library for Glade C# language bindings
Group:		System/Libraries

%description -n %glade_libname
A glue library for Glade C# language bindings
This is a native 'glue' library required by glade-sharp and friends.

%package -n %glade_libnamedev
Summary:	Development libraries for Glade C# language bindings
Group:		Development/Other
Requires:	glade-sharp
Requires:	gtk-sharp-devel
Provides:	glade-sharp-devel
Requires:	libglade2.0-devel

%description -n %glade_libnamedev
Development libraries for Glade C# language bindings.
These are for a native 'glue' library required by glade-sharp and friends.

%package -n %gnome_libname
Summary:	A glue library for Gnome C# language bindings
Group:		System/Libraries

%description -n %gnome_libname
A glue library for Gnome C# language bindings
This is a native 'glue' library required by gnome-sharp and friends.

%package -n %gnome_libnamedev
Summary:	Development libraries for Gnome C# language bindings
Group:		Development/Other
Requires:	gtk-sharp-devel
Requires:	gnome-sharp
Provides:	gnome-sharp-devel
Requires:	libxslt-devel
Requires:	libgnomeui2-devel
Requires:	libGConf2-devel
Requires:	librsvg-devel

%description -n %gnome_libnamedev
Development libraries for Gnome C# language bindings.
These are for a native 'glue' library required by gnome-sharp and friends.


%prep
rm -rf %buildroot

%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
echo "m4_pattern_allow (PKG_PATH)" > acinclude.m4
aclocal
autoconf||autoconf
%build
%configure2_5x
make

%install
rm -rf %buildroot
%makeinstall

# ahead of time compile the executables for faster loading
export MONO_GAC_PREFIX=%buildroot%_prefix
#find %buildroot -name \*.exe -exec mono --aot -O=all,-shared {} \;

%post -n %glib_libname
/sbin/ldconfig

%post -n %gtk_libname
/sbin/ldconfig

%post -n %glade_libname
/sbin/ldconfig

%post -n %gnome_libname
/sbin/ldconfig

%postun -n %glib_libname
/sbin/ldconfig

%postun -n %gtk_libname
/sbin/ldconfig

%postun -n %glade_libname
/sbin/ldconfig

%postun -n %gnome_libname
/sbin/ldconfig


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%monodir/gac/art-sharp
%monodir/gac/atk-sharp
%monodir/gac/gdk-sharp
%monodir/gac/gtk-sharp
%monodir/gac/pango-sharp
%monodir/gtk-sharp/art-sharp.dll*
%monodir/gtk-sharp/atk-sharp.dll*
%monodir/gtk-sharp/gdk-sharp.dll*
%monodir/gtk-sharp/gtk-sharp.dll*
%monodir/gtk-sharp/pango-sharp.dll*

%files -n glib-sharp
%defattr(-,root,root)
%_bindir/*
%monodir/gac/glib-sharp
%dir %monodir/gtk-sharp
%monodir/gtk-sharp/glib-sharp.dll*
%dir %_datadir/gapi
%_datadir/gapi/*

%files -n glade-sharp
%defattr(-,root,root)
%monodir/gac/glade-sharp
%monodir/gtk-sharp/glade-sharp.dll*

%files -n gnome-sharp
%defattr(-,root,root)
%monodir/gac/gconf-sharp
%monodir/gac/gconf-sharp-peditors
%monodir/gac/gnome-sharp
%monodir/gac/gtkhtml-sharp
%monodir/gac/rsvg-sharp
%monodir/gac/vte-sharp
%monodir/gtk-sharp/gconf-sharp.dll*
%monodir/gtk-sharp/gconf-sharp-peditors.dll*
%monodir/gtk-sharp/gnome-sharp.dll*
%monodir/gtk-sharp/gtkhtml-sharp.dll*
%monodir/gtk-sharp/rsvg-sharp.dll*
%monodir/gtk-sharp/vte-sharp.dll*

%files doc
%defattr(-,root,root)
%doc ChangeLog README README.generator
#*[^makefile|README]
%doc sample

%files -n %glib_libname
%defattr(-,root,root)
%_libdir/libglibsharpglue.so

%files -n %glib_libnamedev
%defattr(-,root,root)
%_libdir/libglibsharpglue.*a
%_libdir/pkgconfig/gapi.pc

%files -n %gtk_libname
%defattr(-,root,root)
%_libdir/libgdksharpglue.so
%_libdir/libgtksharpglue.so
%_libdir/libpangosharpglue.so

%files -n %gtk_libnamedev
%defattr(-,root,root)
%_libdir/libgdksharpglue.*a
%_libdir/libgtksharpglue.*a
%_libdir/libpangosharpglue.*a
%_libdir/pkgconfig/art-sharp.pc
%_libdir/pkgconfig/gtk-sharp.pc

%files -n %glade_libname
%defattr(-,root,root)
%_libdir/libgladesharpglue.so

%files -n %glade_libnamedev
%defattr(-,root,root)
%_libdir/libgladesharpglue.*a
%_libdir/pkgconfig/glade-sharp.pc

%files -n %gnome_libname
%defattr(-,root,root)
%_libdir/libgnomesharpglue.so

%files -n %gnome_libnamedev
%defattr(-,root,root)
%_libdir/libgnomesharpglue.*a
%_libdir/pkgconfig/gconf-sharp.pc
%_libdir/pkgconfig/gnome-sharp.pc
%_libdir/pkgconfig/gtkhtml-sharp.pc
%_libdir/pkgconfig/rsvg-sharp.pc
%_libdir/pkgconfig/vte-sharp.pc


%changelog
* Wed Oct 13 2010 Texstar <texstar at gmail.com> 1.0.10-14pclos2010
- rebuild

* Mon Oct 19 2009 Texstar <texstar at gmail.com> 1.0.10-13pclos2010
- rebuild

* Thu May 03 2007 Bart the Build Bot <bartbot@pclinuxos.com> 1.0.10-12pclos2007
- Rebuild against updated mono-1.2.3.1

* Sun Apr 29 2007 Texstar <texstar@gmail.com> 1.0.10-11pclos2007
- rebuild against updated gtkhtml 3.14
- redo patch1

* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 1.0.10-10pclos2007
- Build for PCLinuxOS 2007

